/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    ORGANISME : HEADER
    Style de l'en-tête
*/



.organism_header {
    /* Quand on voit le header mais on pas encore au top */
    position: fixed;
    top: 0;
    background-color: var(--white);
    width: 100%;
    z-index: 1;
}

    /* Au chargement et quand on remonte au top */
    .organism_header.reset-fixed {
        position: static;
    }

    /* Quand on scroll */
    .organism_header.fixed {
        position: fixed;
        transform: translateY(-100%);
        transition: transform .4s;
    }

        /* Au scroll vers le haut */
        .organism_header.fixed:not(.scrolling) {
            transform: translateY(0);
        }

        /* Au scroll vers le bas pour éviter le sursaut */
        .organism_header.fixed.scrolling.reset-fixed {
            transition: transform 0s;
        }
